DefaultPluginPublisher (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins.publishing

## [Groovy] Class DefaultPluginPublisher

- org.codehaus.groovy.grails.plugins.publishing.DefaultPluginPublisher

- Utility methods for manipulating the plugin-list.xml file used when publishing plugins to a Grails plugin repository.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.io.File` | `baseDir`
    `java.lang.String` | `repositoryURL`
    `java.lang.String` | `revision`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultPluginPublisher (java.io.File baseDir, java.lang.String revNumber, java.lang.String repositoryURL)`
    `DefaultPluginPublisher (java.lang.String revNumber, java.lang.String repositoryURL)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected groovy.util.slurpersupport.GPathResult` | `getPluginMetadata(java.lang.String pluginName)`
    `protected groovy.util.slurpersupport.GPathResult` | `parsePluginList(org.springframework.core.io.Resource pluginsListFile)`
    `groovy.util.slurpersupport.GPathResult` | `publishRelease(java.lang.String pluginName, org.springframework.core.io.Resource pluginsList, boolean makeLatest)` Publishes a plugin release to the given plugin list.
    `groovy.util.slurpersupport.GPathResult` | `publishRelease(java.lang.String pluginName, org.springframework.core.io.Resource pluginsList)`
    `void` | `writePluginList(groovy.util.slurpersupport.GPathResult pluginList, java.io.Writer targetWriter)` Writes the given plugin list to the given writer.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.io.File baseDir

    - #### java.lang.String repositoryURL

    - #### java.lang.String revision

  - ### Constructor Detail

    - #### DefaultPluginPublisher(java.io.File baseDir, java.lang.String revNumber, java.lang.String repositoryURL)

    - #### DefaultPluginPublisher(java.lang.String revNumber, java.lang.String repositoryURL)

  - ### Method Detail

    - #### protected groovy.util.slurpersupport.GPathResult getPluginMetadata(java.lang.String pluginName)

    - #### protected groovy.util.slurpersupport.GPathResult parsePluginList(org.springframework.core.io.Resource pluginsListFile)

    - #### groovy.util.slurpersupport.GPathResult publishRelease(java.lang.String pluginName, org.springframework.core.io.Resource pluginsList, boolean makeLatest)

      Publishes a plugin release to the given plugin list.

      Parameters:
        `pluginName` - the name of the plugin
        `pluginsListFile` - The plugin list file
        `makeLatest` - Whether to make the release the latest release
      Returns:
        the updated plugin list

    - #### groovy.util.slurpersupport.GPathResult publishRelease(java.lang.String pluginName, org.springframework.core.io.Resource pluginsList)

    - #### void writePluginList(groovy.util.slurpersupport.GPathResult pluginList, java.io.Writer targetWriter)

      Writes the given plugin list to the given writer.